com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowdiagramPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface FlowdiagramPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `FlowdiagramFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FlowdiagramPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIVITY_SHAPE` The meta object id for the '`Activity Shape`' class
    `static int` | `ACTIVITY_SHAPE__ACTIVITY_NODE` The feature id for the 'Activity Node' reference
    `static int` | `ACTIVITY_SHAPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `ACTIVITY_SHAPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `ACTIVITY_SHAPE__HEIGHT` The feature id for the 'Height' attribute
    `static int` | `ACTIVITY_SHAPE__INBOUND_EDGES` The feature id for the 'Inbound Edges' reference list
    `static int` | `ACTIVITY_SHAPE__NAME` The feature id for the 'Name' attribute
    `static int` | `ACTIVITY_SHAPE__OUTBOUND_EDGES` The feature id for the 'Outbound Edges' reference list
    `static int` | `ACTIVITY_SHAPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ACTIVITY_SHAPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `ACTIVITY_SHAPE__WIDTH` The feature id for the 'Width' attribute
    `static int` | `ACTIVITY_SHAPE__X` The feature id for the 'X' attribute
    `static int` | `ACTIVITY_SHAPE__Y` The feature id for the 'Y' attribute
    `static int` | `ACTIVITY_SHAPE_FEATURE_COUNT` The number of structural features of the 'Activity Shape' class
    `static java.lang.String` | `copyright`
    `static int` | `DECISION_EDGE` The meta object id for the '`Decision Edge`' class
    `static int` | `DECISION_EDGE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `DECISION_EDGE__DECISION` The feature id for the 'Decision' reference
    `static int` | `DECISION_EDGE__GUID` The feature id for the 'Guid' attribute
    `static int` | `DECISION_EDGE__NAME` The feature id for the 'Name' attribute
    `static int` | `DECISION_EDGE__SOURCE_SHAPE` The feature id for the 'Source Shape' reference
    `static int` | `DECISION_EDGE__TARGET_SHAPE` The feature id for the 'Target Shape' reference
    `static int` | `DECISION_EDGE__VALID` The feature id for the 'Valid' attribute
    `static int` | `DECISION_EDGE__VALUE` The feature id for the 'Value' attribute
    `static int` | `DECISION_EDGE_FEATURE_COUNT` The number of structural features of the 'Decision Edge' class
    `static int` | `DECISION_SHAPE` The meta object id for the '`Decision Shape`' class
    `static int` | `DECISION_SHAPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `DECISION_SHAPE__DECISION_NODE` The feature id for the 'Decision Node' reference
    `static int` | `DECISION_SHAPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `DECISION_SHAPE__HEIGHT` The feature id for the 'Height' attribute
    `static int` | `DECISION_SHAPE__INBOUND_EDGES` The feature id for the 'Inbound Edges' reference list
    `static int` | `DECISION_SHAPE__NAME` The feature id for the 'Name' attribute
    `static int` | `DECISION_SHAPE__OUTBOUND_EDGES` The feature id for the 'Outbound Edges' reference list
    `static int` | `DECISION_SHAPE__VALID` The feature id for the 'Valid' attribute
    `static int` | `DECISION_SHAPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `DECISION_SHAPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `DECISION_SHAPE__WIDTH` The feature id for the 'Width' attribute
    `static int` | `DECISION_SHAPE__X` The feature id for the 'X' attribute
    `static int` | `DECISION_SHAPE__Y` The feature id for the 'Y' attribute
    `static int` | `DECISION_SHAPE_FEATURE_COUNT` The number of structural features of the 'Decision Shape' class
    `static FlowdiagramPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `FLOW_DIAGRAM` The meta object id for the '`Flow Diagram`' class
    `static int` | `FLOW_DIAGRAM__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `FLOW_DIAGRAM__FLOW_EDGE_LIST` The feature id for the 'Flow Edge List' containment reference list
    `static int` | `FLOW_DIAGRAM__FLOW_SHAPE_LIST` The feature id for the 'Flow Shape List' containment reference list
    `static int` | `FLOW_DIAGRAM__GUID` The feature id for the 'Guid' attribute
    `static int` | `FLOW_DIAGRAM__NAME` The feature id for the 'Name' attribute
    `static int` | `FLOW_DIAGRAM__SELECTION` The feature id for the 'Selection' attribute
    `static int` | `FLOW_DIAGRAM__VALUE` The feature id for the 'Value' attribute
    `static int` | `FLOW_DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Flow Diagram' class
    `static int` | `FLOW_EDGE` The meta object id for the '`Flow Edge`' class
    `static int` | `FLOW_EDGE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `FLOW_EDGE__GUID` The feature id for the 'Guid' attribute
    `static int` | `FLOW_EDGE__NAME` The feature id for the 'Name' attribute
    `static int` | `FLOW_EDGE__SOURCE_SHAPE` The feature id for the 'Source Shape' reference
    `static int` | `FLOW_EDGE__TARGET_SHAPE` The feature id for the 'Target Shape' reference
    `static int` | `FLOW_EDGE__VALUE` The feature id for the 'Value' attribute
    `static int` | `FLOW_EDGE_FEATURE_COUNT` The number of structural features of the 'Flow Edge' class
    `static int` | `FLOW_SHAPE` The meta object id for the '`Flow Shape`' class
    `static int` | `FLOW_SHAPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `FLOW_SHAPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `FLOW_SHAPE__HEIGHT` The feature id for the 'Height' attribute
    `static int` | `FLOW_SHAPE__INBOUND_EDGES` The feature id for the 'Inbound Edges' reference list
    `static int` | `FLOW_SHAPE__NAME` The feature id for the 'Name' attribute
    `static int` | `FLOW_SHAPE__OUTBOUND_EDGES` The feature id for the 'Outbound Edges' reference list
    `static int` | `FLOW_SHAPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `FLOW_SHAPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `FLOW_SHAPE__WIDTH` The feature id for the 'Width' attribute
    `static int` | `FLOW_SHAPE__X` The feature id for the 'X' attribute
    `static int` | `FLOW_SHAPE__Y` The feature id for the 'Y' attribute
    `static int` | `FLOW_SHAPE_FEATURE_COUNT` The number of structural features of the 'Flow Shape' class
    `static int` | `INITIATE_SHAPE` The meta object id for the '`Initiate Shape`' class
    `static int` | `INITIATE_SHAPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `INITIATE_SHAPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `INITIATE_SHAPE__HEIGHT` The feature id for the 'Height' attribute
    `static int` | `INITIATE_SHAPE__INBOUND_EDGES` The feature id for the 'Inbound Edges' reference list
    `static int` | `INITIATE_SHAPE__NAME` The feature id for the 'Name' attribute
    `static int` | `INITIATE_SHAPE__OUTBOUND_EDGES` The feature id for the 'Outbound Edges' reference list
    `static int` | `INITIATE_SHAPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `INITIATE_SHAPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `INITIATE_SHAPE__WIDTH` The feature id for the 'Width' attribute
    `static int` | `INITIATE_SHAPE__X` The feature id for the 'X' attribute
    `static int` | `INITIATE_SHAPE__Y` The feature id for the 'Y' attribute
    `static int` | `INITIATE_SHAPE_FEATURE_COUNT` The number of structural features of the 'Initiate Shape' class
    `static int` | `LOOPBACK_EDGE` The meta object id for the '`Loopback Edge`' class
    `static int` | `LOOPBACK_EDGE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `LOOPBACK_EDGE__GUID` The feature id for the 'Guid' attribute
    `static int` | `LOOPBACK_EDGE__NAME` The feature id for the 'Name' attribute
    `static int` | `LOOPBACK_EDGE__SOURCE_SHAPE` The feature id for the 'Source Shape' reference
    `static int` | `LOOPBACK_EDGE__TARGET_SHAPE` The feature id for the 'Target Shape' reference
    `static int` | `LOOPBACK_EDGE__VALUE` The feature id for the 'Value' attribute
    `static int` | `LOOPBACK_EDGE_FEATURE_COUNT` The number of structural features of the 'Loopback Edge' class
    `static int` | `TERMINATE_SHAPE` The meta object id for the '`Terminate Shape`' class
    `static int` | `TERMINATE_SHAPE__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
    `static int` | `TERMINATE_SHAPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `TERMINATE_SHAPE__HEIGHT` The feature id for the 'Height' attribute
    `static int` | `TERMINATE_SHAPE__INBOUND_EDGES` The feature id for the 'Inbound Edges' reference list
    `static int` | `TERMINATE_SHAPE__NAME` The feature id for the 'Name' attribute
    `static int` | `TERMINATE_SHAPE__OUTBOUND_EDGES` The feature id for the 'Outbound Edges' reference list
    `static int` | `TERMINATE_SHAPE__TERMINATE_NODE` The feature id for the 'Terminate Node' reference
    `static int` | `TERMINATE_SHAPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TERMINATE_SHAPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `TERMINATE_SHAPE__WIDTH` The feature id for the 'Width' attribute
    `static int` | `TERMINATE_SHAPE__X` The feature id for the 'X' attribute
    `static int` | `TERMINATE_SHAPE__Y` The feature id for the 'Y' attribute
    `static int` | `TERMINATE_SHAPE_FEATURE_COUNT` The number of structural features of the 'Terminate Shape' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getActivityShape_ActivityNode()` Returns the meta object for the reference '`Activity Node`'
    `org.eclipse.emf.ecore.EClass` | `getActivityShape()` Returns the meta object for class '`Activity Shape`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionEdge_Decision()` Returns the meta object for the reference '`Decision`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionEdge_Valid()` Returns the meta object for the attribute '`Valid`'
    `org.eclipse.emf.ecore.EClass` | `getDecisionEdge()` Returns the meta object for class '`Decision Edge`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionShape_DecisionNode()` Returns the meta object for the reference '`Decision Node`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionShape_Valid()` Returns the meta object for the attribute '`Valid`'
    `org.eclipse.emf.ecore.EClass` | `getDecisionShape()` Returns the meta object for class '`Decision Shape`'
    `org.eclipse.emf.ecore.EReference` | `getFlowDiagram_FlowEdgeList()` Returns the meta object for the containment reference list '`Flow Edge List`'
    `org.eclipse.emf.ecore.EReference` | `getFlowDiagram_FlowShapeList()` Returns the meta object for the containment reference list '`Flow Shape List`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlowDiagram_Selection()` Returns the meta object for the attribute '`Selection`'
    `org.eclipse.emf.ecore.EClass` | `getFlowDiagram()` Returns the meta object for class '`Flow Diagram`'
    `FlowdiagramFactory` | `getFlowdiagramFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getFlowEdge_SourceShape()` Returns the meta object for the reference '`Source Shape`'
    `org.eclipse.emf.ecore.EReference` | `getFlowEdge_TargetShape()` Returns the meta object for the reference '`Target Shape`'
    `org.eclipse.emf.ecore.EClass` | `getFlowEdge()` Returns the meta object for class '`Flow Edge`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlowShape_Height()` Returns the meta object for the attribute '`Height`'
    `org.eclipse.emf.ecore.EReference` | `getFlowShape_InboundEdges()` Returns the meta object for the reference list '`Inbound Edges`'
    `org.eclipse.emf.ecore.EReference` | `getFlowShape_OutboundEdges()` Returns the meta object for the reference list '`Outbound Edges`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlowShape_Width()` Returns the meta object for the attribute '`Width`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlowShape_X()` Returns the meta object for the attribute '`X`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlowShape_Y()` Returns the meta object for the attribute '`Y`'
    `org.eclipse.emf.ecore.EClass` | `getFlowShape()` Returns the meta object for class '`Flow Shape`'
    `org.eclipse.emf.ecore.EClass` | `getInitiateShape()` Returns the meta object for class '`Initiate Shape`'
    `org.eclipse.emf.ecore.EClass` | `getLoopbackEdge()` Returns the meta object for class '`Loopback Edge`'
    `org.eclipse.emf.ecore.EReference` | `getTerminateShape_TerminateNode()` Returns the meta object for the reference '`Terminate Node`'
    `org.eclipse.emf.ecore.EClass` | `getTerminateShape()` Returns the meta object for class '`Terminate Shape`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final FlowdiagramPackage eINSTANCE

      The singleton instance of the package.

    - #### FLOW_DIAGRAM

          static final int FLOW_DIAGRAM

      The meta object id for the '`Flow Diagram`' class.
      See Also:
        `FlowDiagramImpl`, `FlowdiagramPackageImpl.getFlowDiagram()`, Constant Field Values

    - #### FLOW_DIAGRAM__NAME

          static final int FLOW_DIAGRAM__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__VALUE

          static final int FLOW_DIAGRAM__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__ANNOTATIONS

          static final int FLOW_DIAGRAM__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__GUID

          static final int FLOW_DIAGRAM__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__SELECTION

          static final int FLOW_DIAGRAM__SELECTION

      The feature id for the 'Selection' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__FLOW_SHAPE_LIST

          static final int FLOW_DIAGRAM__FLOW_SHAPE_LIST

      The feature id for the 'Flow Shape List' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM__FLOW_EDGE_LIST

          static final int FLOW_DIAGRAM__FLOW_EDGE_LIST

      The feature id for the 'Flow Edge List' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_DIAGRAM_FEATURE_COUNT

          static final int FLOW_DIAGRAM_FEATURE_COUNT

      The number of structural features of the 'Flow Diagram' class.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE

          static final int FLOW_SHAPE

      The meta object id for the '`Flow Shape`' class.
      See Also:
        `FlowShapeImpl`, `FlowdiagramPackageImpl.getFlowShape()`, Constant Field Values

    - #### FLOW_SHAPE__NAME

          static final int FLOW_SHAPE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__VALUE

          static final int FLOW_SHAPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__ANNOTATIONS

          static final int FLOW_SHAPE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__GUID

          static final int FLOW_SHAPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__VALIDATION_MESSAGES

          static final int FLOW_SHAPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__X

          static final int FLOW_SHAPE__X

      The feature id for the 'X' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__Y

          static final int FLOW_SHAPE__Y

      The feature id for the 'Y' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__WIDTH

          static final int FLOW_SHAPE__WIDTH

      The feature id for the 'Width' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__HEIGHT

          static final int FLOW_SHAPE__HEIGHT

      The feature id for the 'Height' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__OUTBOUND_EDGES

          static final int FLOW_SHAPE__OUTBOUND_EDGES

      The feature id for the 'Outbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE__INBOUND_EDGES

          static final int FLOW_SHAPE__INBOUND_EDGES

      The feature id for the 'Inbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### FLOW_SHAPE_FEATURE_COUNT

          static final int FLOW_SHAPE_FEATURE_COUNT

      The number of structural features of the 'Flow Shape' class.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE

          static final int ACTIVITY_SHAPE

      The meta object id for the '`Activity Shape`' class.
      See Also:
        `ActivityShapeImpl`, `FlowdiagramPackageImpl.getActivityShape()`, Constant Field Values

    - #### ACTIVITY_SHAPE__NAME

          static final int ACTIVITY_SHAPE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__VALUE

          static final int ACTIVITY_SHAPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__ANNOTATIONS

          static final int ACTIVITY_SHAPE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__GUID

          static final int ACTIVITY_SHAPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__VALIDATION_MESSAGES

          static final int ACTIVITY_SHAPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__X

          static final int ACTIVITY_SHAPE__X

      The feature id for the 'X' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__Y

          static final int ACTIVITY_SHAPE__Y

      The feature id for the 'Y' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__WIDTH

          static final int ACTIVITY_SHAPE__WIDTH

      The feature id for the 'Width' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__HEIGHT

          static final int ACTIVITY_SHAPE__HEIGHT

      The feature id for the 'Height' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__OUTBOUND_EDGES

          static final int ACTIVITY_SHAPE__OUTBOUND_EDGES

      The feature id for the 'Outbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__INBOUND_EDGES

          static final int ACTIVITY_SHAPE__INBOUND_EDGES

      The feature id for the 'Inbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE__ACTIVITY_NODE

          static final int ACTIVITY_SHAPE__ACTIVITY_NODE

      The feature id for the 'Activity Node' reference.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SHAPE_FEATURE_COUNT

          static final int ACTIVITY_SHAPE_FEATURE_COUNT

      The number of structural features of the 'Activity Shape' class.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE

          static final int DECISION_SHAPE

      The meta object id for the '`Decision Shape`' class.
      See Also:
        `DecisionShapeImpl`, `FlowdiagramPackageImpl.getDecisionShape()`, Constant Field Values

    - #### DECISION_SHAPE__NAME

          static final int DECISION_SHAPE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__VALUE

          static final int DECISION_SHAPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__ANNOTATIONS

          static final int DECISION_SHAPE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__GUID

          static final int DECISION_SHAPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__VALIDATION_MESSAGES

          static final int DECISION_SHAPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__X

          static final int DECISION_SHAPE__X

      The feature id for the 'X' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__Y

          static final int DECISION_SHAPE__Y

      The feature id for the 'Y' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__WIDTH

          static final int DECISION_SHAPE__WIDTH

      The feature id for the 'Width' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__HEIGHT

          static final int DECISION_SHAPE__HEIGHT

      The feature id for the 'Height' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__OUTBOUND_EDGES

          static final int DECISION_SHAPE__OUTBOUND_EDGES

      The feature id for the 'Outbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__INBOUND_EDGES

          static final int DECISION_SHAPE__INBOUND_EDGES

      The feature id for the 'Inbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__VALID

          static final int DECISION_SHAPE__VALID

      The feature id for the 'Valid' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE__DECISION_NODE

          static final int DECISION_SHAPE__DECISION_NODE

      The feature id for the 'Decision Node' reference.
      See Also:
        Constant Field Values

    - #### DECISION_SHAPE_FEATURE_COUNT

          static final int DECISION_SHAPE_FEATURE_COUNT

      The number of structural features of the 'Decision Shape' class.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE

          static final int TERMINATE_SHAPE

      The meta object id for the '`Terminate Shape`' class.
      See Also:
        `TerminateShapeImpl`, `FlowdiagramPackageImpl.getTerminateShape()`, Constant Field Values

    - #### TERMINATE_SHAPE__NAME

          static final int TERMINATE_SHAPE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__VALUE

          static final int TERMINATE_SHAPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__ANNOTATIONS

          static final int TERMINATE_SHAPE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__GUID

          static final int TERMINATE_SHAPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__VALIDATION_MESSAGES

          static final int TERMINATE_SHAPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__X

          static final int TERMINATE_SHAPE__X

      The feature id for the 'X' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__Y

          static final int TERMINATE_SHAPE__Y

      The feature id for the 'Y' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__WIDTH

          static final int TERMINATE_SHAPE__WIDTH

      The feature id for the 'Width' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__HEIGHT

          static final int TERMINATE_SHAPE__HEIGHT

      The feature id for the 'Height' attribute.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__OUTBOUND_EDGES

          static final int TERMINATE_SHAPE__OUTBOUND_EDGES

      The feature id for the 'Outbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__INBOUND_EDGES

          static final int TERMINATE_SHAPE__INBOUND_EDGES

      The feature id for the 'Inbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE__TERMINATE_NODE

          static final int TERMINATE_SHAPE__TERMINATE_NODE

      The feature id for the 'Terminate Node' reference.
      See Also:
        Constant Field Values

    - #### TERMINATE_SHAPE_FEATURE_COUNT

          static final int TERMINATE_SHAPE_FEATURE_COUNT

      The number of structural features of the 'Terminate Shape' class.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE

          static final int FLOW_EDGE

      The meta object id for the '`Flow Edge`' class.
      See Also:
        `FlowEdgeImpl`, `FlowdiagramPackageImpl.getFlowEdge()`, Constant Field Values

    - #### FLOW_EDGE__NAME

          static final int FLOW_EDGE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE__VALUE

          static final int FLOW_EDGE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE__ANNOTATIONS

          static final int FLOW_EDGE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE__GUID

          static final int FLOW_EDGE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE__SOURCE_SHAPE

          static final int FLOW_EDGE__SOURCE_SHAPE

      The feature id for the 'Source Shape' reference.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE__TARGET_SHAPE

          static final int FLOW_EDGE__TARGET_SHAPE

      The feature id for the 'Target Shape' reference.
      See Also:
        Constant Field Values

    - #### FLOW_EDGE_FEATURE_COUNT

          static final int FLOW_EDGE_FEATURE_COUNT

      The number of structural features of the 'Flow Edge' class.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE

          static final int DECISION_EDGE

      The meta object id for the '`Decision Edge`' class.
      See Also:
        `DecisionEdgeImpl`, `FlowdiagramPackageImpl.getDecisionEdge()`, Constant Field Values

    - #### DECISION_EDGE__NAME

          static final int DECISION_EDGE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__VALUE

          static final int DECISION_EDGE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__ANNOTATIONS

          static final int DECISION_EDGE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__GUID

          static final int DECISION_EDGE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__SOURCE_SHAPE

          static final int DECISION_EDGE__SOURCE_SHAPE

      The feature id for the 'Source Shape' reference.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__TARGET_SHAPE

          static final int DECISION_EDGE__TARGET_SHAPE

      The feature id for the 'Target Shape' reference.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__VALID

          static final int DECISION_EDGE__VALID

      The feature id for the 'Valid' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE__DECISION

          static final int DECISION_EDGE__DECISION

      The feature id for the 'Decision' reference.
      See Also:
        Constant Field Values

    - #### DECISION_EDGE_FEATURE_COUNT

          static final int DECISION_EDGE_FEATURE_COUNT

      The number of structural features of the 'Decision Edge' class.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE

          static final int INITIATE_SHAPE

      The meta object id for the '`Initiate Shape`' class.
      See Also:
        `InitiateShapeImpl`, `FlowdiagramPackageImpl.getInitiateShape()`, Constant Field Values

    - #### INITIATE_SHAPE__NAME

          static final int INITIATE_SHAPE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__VALUE

          static final int INITIATE_SHAPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__ANNOTATIONS

          static final int INITIATE_SHAPE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__GUID

          static final int INITIATE_SHAPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__VALIDATION_MESSAGES

          static final int INITIATE_SHAPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__X

          static final int INITIATE_SHAPE__X

      The feature id for the 'X' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__Y

          static final int INITIATE_SHAPE__Y

      The feature id for the 'Y' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__WIDTH

          static final int INITIATE_SHAPE__WIDTH

      The feature id for the 'Width' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__HEIGHT

          static final int INITIATE_SHAPE__HEIGHT

      The feature id for the 'Height' attribute.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__OUTBOUND_EDGES

          static final int INITIATE_SHAPE__OUTBOUND_EDGES

      The feature id for the 'Outbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE__INBOUND_EDGES

          static final int INITIATE_SHAPE__INBOUND_EDGES

      The feature id for the 'Inbound Edges' reference list.
      See Also:
        Constant Field Values

    - #### INITIATE_SHAPE_FEATURE_COUNT

          static final int INITIATE_SHAPE_FEATURE_COUNT

      The number of structural features of the 'Initiate Shape' class.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE

          static final int LOOPBACK_EDGE

      The meta object id for the '`Loopback Edge`' class.
      See Also:
        `LoopbackEdgeImpl`, `FlowdiagramPackageImpl.getLoopbackEdge()`, Constant Field Values

    - #### LOOPBACK_EDGE__NAME

          static final int LOOPBACK_EDGE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE__VALUE

          static final int LOOPBACK_EDGE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE__ANNOTATIONS

          static final int LOOPBACK_EDGE__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE__GUID

          static final int LOOPBACK_EDGE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE__SOURCE_SHAPE

          static final int LOOPBACK_EDGE__SOURCE_SHAPE

      The feature id for the 'Source Shape' reference.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE__TARGET_SHAPE

          static final int LOOPBACK_EDGE__TARGET_SHAPE

      The feature id for the 'Target Shape' reference.
      See Also:
        Constant Field Values

    - #### LOOPBACK_EDGE_FEATURE_COUNT

          static final int LOOPBACK_EDGE_FEATURE_COUNT

      The number of structural features of the 'Loopback Edge' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFlowDiagram

          org.eclipse.emf.ecore.EClass getFlowDiagram()

      Returns the meta object for class '`Flow Diagram`'.
      Returns:
        the meta object for class 'Flow Diagram'.
      See Also:
        `FlowDiagram`

    - #### getFlowDiagram_Selection

          org.eclipse.emf.ecore.EAttribute getFlowDiagram_Selection()

      Returns the meta object for the attribute '`Selection`'.
      Returns:
        the meta object for the attribute 'Selection'.
      See Also:
        `FlowDiagram.getSelection()`, `getFlowDiagram()`

    - #### getFlowDiagram_FlowShapeList

          org.eclipse.emf.ecore.EReference getFlowDiagram_FlowShapeList()

      Returns the meta object for the containment reference list '`Flow Shape List`'.
      Returns:
        the meta object for the containment reference list 'Flow Shape List'.
      See Also:
        `FlowDiagram.getFlowShapeList()`, `getFlowDiagram()`

    - #### getFlowDiagram_FlowEdgeList

          org.eclipse.emf.ecore.EReference getFlowDiagram_FlowEdgeList()

      Returns the meta object for the containment reference list '`Flow Edge List`'.
      Returns:
        the meta object for the containment reference list 'Flow Edge List'.
      See Also:
        `FlowDiagram.getFlowEdgeList()`, `getFlowDiagram()`

    - #### getFlowShape

          org.eclipse.emf.ecore.EClass getFlowShape()

      Returns the meta object for class '`Flow Shape`'.
      Returns:
        the meta object for class 'Flow Shape'.
      See Also:
        `FlowShape`

    - #### getFlowShape_X

          org.eclipse.emf.ecore.EAttribute getFlowShape_X()

      Returns the meta object for the attribute '`X`'.
      Returns:
        the meta object for the attribute 'X'.
      See Also:
        `FlowShape.getX()`, `getFlowShape()`

    - #### getFlowShape_Y

          org.eclipse.emf.ecore.EAttribute getFlowShape_Y()

      Returns the meta object for the attribute '`Y`'.
      Returns:
        the meta object for the attribute 'Y'.
      See Also:
        `FlowShape.getY()`, `getFlowShape()`

    - #### getFlowShape_Width

          org.eclipse.emf.ecore.EAttribute getFlowShape_Width()

      Returns the meta object for the attribute '`Width`'.
      Returns:
        the meta object for the attribute 'Width'.
      See Also:
        `FlowShape.getWidth()`, `getFlowShape()`

    - #### getFlowShape_Height

          org.eclipse.emf.ecore.EAttribute getFlowShape_Height()

      Returns the meta object for the attribute '`Height`'.
      Returns:
        the meta object for the attribute 'Height'.
      See Also:
        `FlowShape.getHeight()`, `getFlowShape()`

    - #### getFlowShape_OutboundEdges

          org.eclipse.emf.ecore.EReference getFlowShape_OutboundEdges()

      Returns the meta object for the reference list '`Outbound Edges`'.
      Returns:
        the meta object for the reference list 'Outbound Edges'.
      See Also:
        `FlowShape.getOutboundEdges()`, `getFlowShape()`

    - #### getFlowShape_InboundEdges

          org.eclipse.emf.ecore.EReference getFlowShape_InboundEdges()

      Returns the meta object for the reference list '`Inbound Edges`'.
      Returns:
        the meta object for the reference list 'Inbound Edges'.
      See Also:
        `FlowShape.getInboundEdges()`, `getFlowShape()`

    - #### getActivityShape

          org.eclipse.emf.ecore.EClass getActivityShape()

      Returns the meta object for class '`Activity Shape`'.
      Returns:
        the meta object for class 'Activity Shape'.
      See Also:
        `ActivityShape`

    - #### getActivityShape_ActivityNode

          org.eclipse.emf.ecore.EReference getActivityShape_ActivityNode()

      Returns the meta object for the reference '`Activity Node`'.
      Returns:
        the meta object for the reference 'Activity Node'.
      See Also:
        `ActivityShape.getActivityNode()`, `getActivityShape()`

    - #### getDecisionShape

          org.eclipse.emf.ecore.EClass getDecisionShape()

      Returns the meta object for class '`Decision Shape`'.
      Returns:
        the meta object for class 'Decision Shape'.
      See Also:
        `DecisionShape`

    - #### getDecisionShape_Valid

          org.eclipse.emf.ecore.EAttribute getDecisionShape_Valid()

      Returns the meta object for the attribute '`Valid`'.
      Returns:
        the meta object for the attribute 'Valid'.
      See Also:
        `DecisionShape.isValid()`, `getDecisionShape()`

    - #### getDecisionShape_DecisionNode

          org.eclipse.emf.ecore.EReference getDecisionShape_DecisionNode()

      Returns the meta object for the reference '`Decision Node`'.
      Returns:
        the meta object for the reference 'Decision Node'.
      See Also:
        `DecisionShape.getDecisionNode()`, `getDecisionShape()`

    - #### getTerminateShape

          org.eclipse.emf.ecore.EClass getTerminateShape()

      Returns the meta object for class '`Terminate Shape`'.
      Returns:
        the meta object for class 'Terminate Shape'.
      See Also:
        `TerminateShape`

    - #### getTerminateShape_TerminateNode

          org.eclipse.emf.ecore.EReference getTerminateShape_TerminateNode()

      Returns the meta object for the reference '`Terminate Node`'.
      Returns:
        the meta object for the reference 'Terminate Node'.
      See Also:
        `TerminateShape.getTerminateNode()`, `getTerminateShape()`

    - #### getFlowEdge

          org.eclipse.emf.ecore.EClass getFlowEdge()

      Returns the meta object for class '`Flow Edge`'.
      Returns:
        the meta object for class 'Flow Edge'.
      See Also:
        `FlowEdge`

    - #### getFlowEdge_SourceShape

          org.eclipse.emf.ecore.EReference getFlowEdge_SourceShape()

      Returns the meta object for the reference '`Source Shape`'.
      Returns:
        the meta object for the reference 'Source Shape'.
      See Also:
        `FlowEdge.getSourceShape()`, `getFlowEdge()`

    - #### getFlowEdge_TargetShape

          org.eclipse.emf.ecore.EReference getFlowEdge_TargetShape()

      Returns the meta object for the reference '`Target Shape`'.
      Returns:
        the meta object for the reference 'Target Shape'.
      See Also:
        `FlowEdge.getTargetShape()`, `getFlowEdge()`

    - #### getDecisionEdge

          org.eclipse.emf.ecore.EClass getDecisionEdge()

      Returns the meta object for class '`Decision Edge`'.
      Returns:
        the meta object for class 'Decision Edge'.
      See Also:
        `DecisionEdge`

    - #### getDecisionEdge_Valid

          org.eclipse.emf.ecore.EAttribute getDecisionEdge_Valid()

      Returns the meta object for the attribute '`Valid`'.
      Returns:
        the meta object for the attribute 'Valid'.
      See Also:
        `DecisionEdge.isValid()`, `getDecisionEdge()`

    - #### getDecisionEdge_Decision

          org.eclipse.emf.ecore.EReference getDecisionEdge_Decision()

      Returns the meta object for the reference '`Decision`'.
      Returns:
        the meta object for the reference 'Decision'.
      See Also:
        `DecisionEdge.getDecision()`, `getDecisionEdge()`

    - #### getInitiateShape

          org.eclipse.emf.ecore.EClass getInitiateShape()

      Returns the meta object for class '`Initiate Shape`'.
      Returns:
        the meta object for class 'Initiate Shape'.
      See Also:
        `InitiateShape`

    - #### getLoopbackEdge

          org.eclipse.emf.ecore.EClass getLoopbackEdge()

      Returns the meta object for class '`Loopback Edge`'.
      Returns:
        the meta object for class 'Loopback Edge'.
      See Also:
        `LoopbackEdge`

    - #### getFlowdiagramFactory

          FlowdiagramFactory getFlowdiagramFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.